Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153040 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Summary: GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-keyboard
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 03:56 UTC by Ricky Ng-Adam
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-04 09:01:00 UTC


Attachments (Terms of Use)
fixes the warnings (deleted)
2005-04-01 05:12 UTC, Colin Charles
no flags Details | Diff

Description Ricky Ng-Adam 2005-04-01 03:56:20 UTC
Description of problem:

/usr/share/system-config-keyboard/keyboard_gui.py:140: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.modelView.set_property("headers-visible", gtk.FALSE)
/usr/share/system-config-keyboard/keyboard_gui.py:150: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.modelView.set_cursor(path, self.col, gtk.FALSE)
/usr/share/system-config-keyboard/keyboard_gui.py:152: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  0.5, 0.5)
/usr/share/system-config-keyboard/keyboard_gui.py:178: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.myVbox.pack_start(self.modelViewSW, gtk.TRUE)
/usr/share/system-config-keyboard/keyboard_gui.py:60: GtkDeprecationWarning:
gtk.idle_add is deprecated, use gobject.idle_add instead
  id["id"] = gtk.idle_add(scrollToIdleHandler, (view, store, id))
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:130:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  iconBox = gtk.HBox(gtk.FALSE, 5)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:132:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  iconBox.pack_start(self.icon, gtk.FALSE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:137:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  msgLabel.set_line_wrap(gtk.TRUE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:141:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  toplevel.pack_start(iconBox, gtk.FALSE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:142:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  toplevel.pack_start(self.myVbox, gtk.TRUE)
/usr/share/system-config-keyboard/keyboard_gui.py:81: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  view.scroll_to_cell(path, col, gtk.TRUE, 0.5, 0.5)
/usr/share/system-config-keyboard/keyboard_gui.py:84: GtkDeprecationWarning:
gtk.idle_remove is deprecated, use gobject.source_remove instead
  gtk.idle_remove(id)


Version-Release number of selected component (if applicable):

1.2.5-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.

Comment 1 Colin Charles 2005-04-01 05:12:30 UTC
Created attachment 112567 [details]
fixes the warnings


Note You need to log in before you can comment on or make changes to this bug.